package com.atlassian.bitbucket.setup;

public interface MockExternalServerHandler {
    // Country codes
    void returnCountryCode(String... countryCodes);

    // HAMS license
    void whenLicenseRequestReturnLicenseKey(String token, String licenseKey);

    // Check if user exists
    void whenUserCheckReturnExists(String email);

    // Sign up
    void whenSignUpReturnToken(String email, String token);

    // Sign in
    void whenSignInReturnToken(String email, String token);
}
